Bug 28233 - Notifier should check free space
Notifier should check free space
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Notifier (univention-directory-notifier)
UCS 4.4
Other Linux
: P5 normal (vote)
: UCS 4.4-0-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on: 28232
Blocks: 49194 49200
  Show dependency treegraph
 
Reported: 2012-08-16 08:49 CEST by Janis Meybohm
Modified: 2019-04-04 06:39 CEST (History)
4 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 4: Minor Usability: Impairs usability in secondary scenarios
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 5: Blocking further progress on the daily work
User Pain: 0.229
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2016080321000081, 2016071821000242, 2016070721000245
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janis Meybohm univentionstaff 2012-08-16 08:49:30 CEST
+++ This bug was initially created as a clone of Bug #28232 +++

Um einen defekte transaction Datei o.รค. zu vermeiden sollte der Notifier bei einem vollen Dateisystem anhalten.
Comment 1 Stefan Gohmann univentionstaff 2016-10-20 10:35:10 CEST
See Bug #42573. A similar check has been added to the listener.

@Support, I think we had several tickets with this issue. Please add the ticket numbers.
Comment 2 Jens Thorp-Hansen univentionstaff 2016-10-20 10:51:48 CEST
I had a look over our ticketsystem (specific searchterms), I will add if I find more.

Ticket#2016080321000081
Ticket#2016071821000242
Ticket#2016070721000245
Comment 3 Stefan Gohmann univentionstaff 2019-01-03 07:18:23 CET
This issue has been filled against UCS 4.1. The maintenance with bug and security fixes for UCS 4.1 has ended on 5st of April 2018.

Customers still on UCS 4.1 are encouraged to update to UCS 4.3. Please contact
your partner or Univention for any questions.

If this issue still occurs in newer UCS versions, please use "Clone this bug" or simply reopen the issue. In this case please provide detailed information on how this issue is affecting you.
Comment 4 Stefan Gohmann univentionstaff 2019-03-29 15:40:06 CET
It should be released after Bug #49198 has been released.
Comment 5 Philipp Hahn univentionstaff 2019-04-02 17:26:25 CEST
[4.4-0] 9d2fbd15e8 Bug #28233 udn: Check available file system space
 .../univention-directory-notifier/debian/changelog |  6 ++++
 .../univention-directory-notifier/src/index-dump.c |  8 +++++-
 .../univention-directory-notifier/src/index.c      | 33 ++++++++++++++++------
 .../univention-directory-notifier/src/notify.c     | 25 ++++++++++++----
 4 files changed, 58 insertions(+), 14 deletions(-)

[4.4-0] 9074abeded Bug #28233 udn: Write index atomically
 .../univention-directory-notifier/src/index-dump.c | 22 +++++-----
 .../univention-directory-notifier/src/index.c      | 50 +++++++++++-----------
 .../univention-directory-notifier/src/index.h      | 11 ++++-
 3 files changed, 45 insertions(+), 38 deletions(-)

[4.4-0] 3a0680a0f9 Bug #28233 udn: Use 'transaction.index' by default
 management/univention-directory-notifier/src/index-dump.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

[4.4-0] b70fe1e2dd Bug #28233 udn: Fix index types
 management/univention-directory-notifier/src/index-dump.c | 5 +++--
 management/univention-directory-notifier/src/index.c      | 2 +-
 management/univention-directory-notifier/src/index.h      | 2 +-
 management/univention-directory-notifier/src/notify.c     | 4 ++--
 4 files changed, 7 insertions(+), 6 deletions(-)

Package: univention-directory-notifier
Version: 13.0.1-11A~4.4.0.201904021722
Branch: ucs_4.4-0
Scope: errata4.4-0

[4.4-0] 807dd63521 Bug #48466: univention-directory-notifier 13.0.1-11A~4.4.0.201904021722
 doc/errata/staging/univention-directory-notifier.yaml | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)


QA:
systemctl stop univention-directory-notifier.service
cd /var/lib/univention-ldap/
mv notify notify.orig
mkdir notify
mount -t tmpfs -o size=32000 none notify
( cd notify.orig ; find | cpio -p notify )
yes > notify/fill
tail -f /var/log/univention/notifier.log &
univention-directory-notifier -F -o -d 4 &
while [ ! -s listener/listener ] ; do tail -n1 notify/transaction | { read -r tid line; echo "$((tid+1)) $line"; } > listener/listener ; sleep 1 ; done
...
> Failed fallocate(tf): No space left on device
Comment 6 Arvid Requate univentionstaff 2019-04-02 23:59:38 CEST
Verified:
* Code review
* Functional test
* Advisory

In my case your test setup resulted in "Failed fallocate(idx): No space left on device".

Marking as verified. Tonights Jenkins tests should confirm the the QA.
Comment 7 Arvid Requate univentionstaff 2019-04-03 11:38:31 CEST
<http://errata.software-univention.de/ucs/4.4/32.html>